Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.controls
Class JetFont

    java.lang.Object
      jet.controls.JetProperty
          jet.controls.JetString
              jet.controls.JetStringList
                  jet.controls.JetFont

    public class JetFont

extends JetStringList

Field Summary

Fields inherited from class jet.controls.JetProperty
`CHART_BACKGROUND_EDITOR, CHART_FILLPATTERN_EDITOR, CHART_FILTER_EDITOR, CHART_FILTER_EDITOR_NO_DATE, CHART_ICON_STYLE, CHART_PATTERN_LIST_EDITOR, CHART_PENSTYLE_EDITOR, CHART_TEXTSTYLE_EDITOR, CHOICE_EDITOR, COLOR_EDITOR, COMBO_EDITOR, COMMAND_EDITOR, CONTROL_SELECT_ITEMS, DATASOURCE_EDITOR, DBCOL_EDITOR, DETAIL_REPORT_EDITOR, EDIT_FORBIDDEN, EDIT_FORBIDDEN_INIT, EDITABLE_ALLTIME, INTERNAL, LINK_EDITOR, MULSEL_EDITOR, PARAMCOL_EDITOR, QUERY_EDITOR, RECORDDB_EDITOR, SECURITY_EDITOR, TEXT_EDITOR`

Constructor Summary
`JetFont()`
`JetFont(JetObject parent, java.lang.String name)` Constructor.
`JetFont(JetObject parent, java.lang.String name, java.lang.String value)` Constructor.

Method Summary

Methods inherited from class jet.controls.JetStringList
`getList, getPropertyChoice, setDefault, setList`

Methods inherited from class jet.controls.JetString
`get, getMatchingSqlType, set, set, setPropertyChoice, toString`

Methods inherited from class jet.controls.JetProperty
`canChangeByBL, canChangeByFmtt, canChangeByOthers, getChangeBy, getChangeByBL, getChangeByBLName, getChangeByFmtt, getChangeByFmttName, getChangeByObject, getChangeByObjectName, getEditFlag, getEditorType, getInspValue, getInspValue, getName, getNormalObject, getObject, getParent, getPropType, getUnifiedObject, getValue, isChagneByFmtt, isChangeByBL, isChangeByOther, isNull, isTransient, loadFullChangeBy, propertyChanged, saveFullChangeBy, setCanChangeByBL, setCanChangeByFmtt, setCanChangeByOthers, setChangeByBL, setChangeByFmtt, setChangeByObject, setEditFlag, setEditorType, setObject, setTransient, setUnitValue, toUnitString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JetFont

    public JetFont()

### JetFont

    public JetFont(JetObject parent,
                   java.lang.String name)

  Constructor.

  Parameters:
    `parent` - the owner of the property.
    `name` - the property name

### JetFont

    public JetFont(JetObject parent,
                   java.lang.String name,
                   java.lang.String value)

  Constructor.

  Parameters:
    `parent` - the owner of the property.
    `name` - the property name
    `value` - the default value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD